<?PHP

#
#   FILE:  QualifierFactory.php
#
#   Copyright 2003-2010 Edward Almasy and Internet Scout
#   http://scout.wisc.edu
#

class QualifierFactory extends ItemFactory {

    # ---- PUBLIC INTERFACE --------------------------------------------------

    # object constructor
    function QualifierFactory()
    {
        $this->ItemFactory("Qualifier", "Qualifiers", "QualifierId", "QualifierName");
    }
 
    # methods for backward compatibility 
    function QualifierList() {  return $this->GetItemNames();  }
    function QualifierCount() {  return $this->GetItemCount();  }
    function GetQualifierByName($QualifierName) 
            {  return $this->GetItemByName($QualifierName);  }
    function QualifierNameIsInUse($Name) {  return $this->NameIsInUse($Name, TRUE);  }
}


?>
